geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Forrest Xia (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (GERONIMO-4908) RMIClassLoader is not compatible with osgi
Date Mon, 27 May 2013 12:35:48 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-4908?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Forrest Xia updated GERONIMO-4908:
----------------------------------

    Fix Version/s:     (was: 3.0.1)
                   3.0.2
    
> RMIClassLoader is not compatible with osgi
> ------------------------------------------
>
>                 Key: GERONIMO-4908
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-4908
>             Project: Geronimo
>          Issue Type: Sub-task
>      Security Level: public(Regular issues) 
>          Components: osgi
>    Affects Versions: 3.0.0
>            Reporter: David Jencks
>             Fix For: 3.0.2
>
>
> We have RMIClassLoaderSpiImpl in geronimo-kernel.  However, RMIClassLoader loads the
spi impl using the system classloader. (http://java.sun.com/javase/6/docs/api/java/rmi/server/RMIClassLoader.html)
 So we'd have to get our impl into the system classloader unless osgi provides an additional
level of delegation in the system classloader.
> For now I'm going to try not setting java.rmi.server.RMIClassLoaderSpi in RMIRegistryService

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message